SUSE SLED12 / SLES12 Security Update : dhcp (SUSE-SU-2016:0540-1)

Medium Nessus Plugin ID 88892


The remote SUSE host is missing one or more security updates.


This update for dhcp fixes the following issues :

- CVE-2015-8605: A remote attacker could have used badly formed packets with an invalid IPv4 UDP length field to cause a DHCP server, client, or relay program to terminate abnormally (bsc#961305)

The following bugs were fixed :

- bsc#936923: Improper lease duration checking

- bsc#880984: Integer overflows in the date and time handling code

- bsc#956159: fixed service files to start dhcpd after slapd

- bsc#960506: Improve exit reason and logging when /sbin/dhclient-script is unable to pre-init requested interface

- bsc#947780: DHCP server could abort with 'Unable to set up timer: out of range' on very long or infinite timer intervals / lease lifetimes

- bsc#912098: dhclient could pretend to run while silently declining leases

- bsc#919959: server: Do not log success report before send reported success

- bsc#928390: dhclient dit not expose next-server DHCPv4 option to script

- bsc#926159: DHCP preferrend and valid lifetime would be logged incorrectly

- bsc#910686: Prevent a dependency conflict of dhcp-devel with bind-devel package

The following tracked changes affect the build of the package only :

- bsc#891961: Disabled /sbin/service legacy-action hooks

Note that Tenable Network Security has extracted the preceding description block directly from the SUSE security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product :

SUSE Linux Enterprise Software Development Kit 12 :

zypper in -t patch SUSE-SLE-SDK-12-2016-293=1

SUSE Linux Enterprise Server 12 :

zypper in -t patch SUSE-SLE-SERVER-12-2016-293=1

SUSE Linux Enterprise Desktop 12 :

zypper in -t patch SUSE-SLE-DESKTOP-12-2016-293=1

To bring your system up-to-date, use 'zypper patch'.

See Also

Plugin Details

Severity: Medium

ID: 88892

File Name: suse_SU-2016-0540-1.nasl

Version: $Revision: 2.9 $

Type: local

Agent: unix

Published: 2016/02/23

Modified: 2016/12/27

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5.7

Temporal Score: 4.2

Vector: CVSS2#AV:A/AC:M/Au:N/C:N/I:N/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C


Base Score: 6.5

Vector: CVSS:3.0/AV:A/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:dhcp, p-cpe:/a:novell:suse_linux:dhcp-client, p-cpe:/a:novell:suse_linux:dhcp-client-debuginfo, p-cpe:/a:novell:suse_linux:dhcp-debuginfo, p-cpe:/a:novell:suse_linux:dhcp-debugsource, p-cpe:/a:novell:suse_linux:dhcp-relay, p-cpe:/a:novell:suse_linux:dhcp-relay-debuginfo, p-cpe:/a:novell:suse_linux:dhcp-server, p-cpe:/a:novell:suse_linux:dhcp-server-debuginfo, cpe:/o:novell:suse_linux:12

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2016/02/22

Reference Information

CVE: CVE-2015-8605

OSVDB: 132709